# Get finance profile URL

- Sandbox: `GET https://sandbox.payme.io/api/partner/api/sellers/finance-profile`
- Production: `GET https://live.payme.io/api/partner/api/sellers/finance-profile`

## Credentials

- Header `Authorization: Bearer <token>`

Retrieve the finance profile URL for a seller

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string | no | Seller ID (MPL format) |
| `socialId` | query | string | no | Seller social/business ID number |
| `email` | query | string | no | Seller email address |

## Code samples

### curl

```bash
curl -X GET 'https://sandbox.payme.io/api/partner/api/sellers/finance-profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'
```

### Node.js

```javascript
const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/finance-profile", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
});

console.log(await response.text());
```

### Python

```python
import requests

response = requests.get(
    "https://sandbox.payme.io/api/partner/api/sellers/finance-profile",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
)

print(response.text)
```

### PHP

```php
<?php

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/finance-profile');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
```

## Responses

### 200 — Successful response (success)

| Field | Type | Description |
| --- | --- | --- |
| `url` | string |  |

### 400 — Bad Request (error)

| Field | Type | Description |
| --- | --- | --- |
| `statusCode` | integer | HTTP status code |
| `message` | string | Error message(s) |
| `error` | string | Error type |

```json
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}
```

### 401 — Unauthorized (error)

| Field | Type | Description |
| --- | --- | --- |
| `error` | string |  |
| `error_description` | string |  |

```json
{
  "error": "unauthorized_client",
  "error_description": "Client authentication failed"
}
```
